commit:     adf19340f19a70ac3923f4d1f1793e8339a43e50
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Mon Jun 23 13:39:19 2025 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Mon Jun 23 13:39:19 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=adf19340

dev-lang/R: fix build w/ USE=-doc in some cases

Avoid automagically finding (incomplete) TL components if
USE=-doc where not all required files may be available.

Closes: https://bugs.gentoo.org/912762
Closes: https://bugs.gentoo.org/958949
Signed-off-by: Sam James <sam <AT> gentoo.org>

 dev-lang/R/R-4.4.1.ebuild | 11 ++++++++++-
 dev-lang/R/R-4.4.3.ebuild |  9 +++++++++
 dev-lang/R/R-4.5.0.ebuild |  9 +++++++++
 3 files changed, 28 insertions(+), 1 deletion(-)

diff --git a/dev-lang/R/R-4.4.1.ebuild b/dev-lang/R/R-4.4.1.ebuild
index a40ea16046c9..90127e575538 100644
--- a/dev-lang/R/R-4.4.1.ebuild
+++ b/dev-lang/R/R-4.4.1.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2024 Gentoo Authors
+# Copyright 1999-2025 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=8
@@ -139,6 +139,15 @@ src_prepare() {
 src_configure() {
        filter-ldflags -Wl,-Bdirect -Bdirect
 
+       # Avoid automagically finding (incomplete) TL components if
+       # USE=-doc where not all required files may be available.
+       if ! use doc ; then
+               export ac_cv_path_PDFTEX=
+               export ac_cv_path_PDFLATEX=
+               export ac_cv_path_MAKEINDEX=
+               export ac_cv_path_KPSEWHICH=
+       fi
+
        econf \
                --enable-byte-compiled-packages \
                --enable-R-shlib \

diff --git a/dev-lang/R/R-4.4.3.ebuild b/dev-lang/R/R-4.4.3.ebuild
index 8be7dc789db0..5f2ed8843053 100644
--- a/dev-lang/R/R-4.4.3.ebuild
+++ b/dev-lang/R/R-4.4.3.ebuild
@@ -142,6 +142,15 @@ src_configure() {
 
        filter-ldflags -Wl,-Bdirect -Bdirect
 
+       # Avoid automagically finding (incomplete) TL components if
+       # USE=-doc where not all required files may be available.
+       if ! use doc ; then
+               export ac_cv_path_PDFTEX=
+               export ac_cv_path_PDFLATEX=
+               export ac_cv_path_MAKEINDEX=
+               export ac_cv_path_KPSEWHICH=
+       fi
+
        econf \
                --enable-byte-compiled-packages \
                --enable-R-shlib \

diff --git a/dev-lang/R/R-4.5.0.ebuild b/dev-lang/R/R-4.5.0.ebuild
index e54e27bf6d3f..551969a1fa48 100644
--- a/dev-lang/R/R-4.5.0.ebuild
+++ b/dev-lang/R/R-4.5.0.ebuild
@@ -143,6 +143,15 @@ src_prepare() {
 src_configure() {
        filter-ldflags -Wl,-Bdirect -Bdirect
 
+       # Avoid automagically finding (incomplete) TL components if
+       # USE=-doc where not all required files may be available.
+       if ! use doc ; then
+               export ac_cv_path_PDFTEX=
+               export ac_cv_path_PDFLATEX=
+               export ac_cv_path_MAKEINDEX=
+               export ac_cv_path_KPSEWHICH=
+       fi
+
        econf \
                --enable-byte-compiled-packages \
                --enable-R-shlib \

Reply via email to